#!/usr/bin/perl -w
#
# tests/ldap-sync-attribute.t

use Test::More qw( no_plan );

# Create a ticket file for the conf file to find
my $tfile = 'ldap-sync-attribute.keytab';
open $OUT, ">$tfile";
close $OUT;

# All of the configuration file properties are specified
# to make sure we haven't misspelled something in the
# script.  With a config file we can test both forms
# of help
my $cfile = 'ldap-sync-attribute.conf';
my $OUT;
open $OUT, ">$cfile";
print $OUT 'ldap_host = ldap.stanford.edu'."\n";
print $OUT 'attribute = subprivlegegroup'."\n";
print $OUT 'in_base_dn = cn=people,dc=stanford,dc=edu'."\n";
print $OUT 'in_filter = objectClass=*'."\n";
print $OUT 'join_attribute = uid'."\n";
print $OUT 'out_base_dn = cn=accounts,dc=stanford,dc=edu'."\n";
print $OUT 'out_objectclass = suPrivilegeGroupObject'."\n";
print $OUT 'log_base_dn = cn=accesslog'."\n";
print $OUT 'log_filter  = objectclass=*'."\n";
print $OUT 'log_cookie  = /var/run/ldap-sync-attribute.cookie'."\n";
print $OUT "keytab_file = $tfile\n";
print $OUT 'principal_name = service/some'."\n";
print $OUT 'tgt_file = /tmp/some.tgt'."\n";
print $OUT 'remctl_subcommand = privsync'."\n";
print $OUT 'debug = 0'."\n";
close $OUT;

# Getting help with an action reads the conf file and triggers an error if
# it cannot do a DNS lookup, so we skip it.
#my $t1 = `../usr/bin/ldap-sync-attribute --conf=$cfile help 2>&1`;
#ok ($t1 =~ /^Usage/, 'Help command line argument');
#print "$t1\n" if $t1 !~ /^Usage/;

my $t2 = `../usr/bin/ldap-sync-attribute --help 2>&1`;
ok ($t2 =~ /^Usage/, 'Help switch');
print "$t2\n" if $t2 !~ /^Usage/;

unlink $cfile if -e $cfile;
unlink $tfile if -e $tfile;
